You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2019-05-10 11:06:43

Owbbit
Member
Registered: 2019-05-10
Posts: 2

Fatal error PHP à l'installation des plugins

Bonjour,

Juste après avoir essayé d'installer les plugins sur GLPI j'ai cette erreur qui apparaît :

PHP Fatal error:  Uncaught UnexpectedValueException: GlobIterator::__construct(): open_basedir restriction in effect. File(C:\inetpub\wwwroot\files\_cache\cache_trans\glpi_cache_trans_9.4.2ee69daaba6d34abe2cea439ca7414592-*\glpi_cache_trans_9.4.2ee69daaba6d34abe2cea439ca7414592-*.*) is not within the allowed path(s): (C:\inetpub\wwwroot) in C:\inetpub\wwwroot\vendor\zendframework\zend-cache\src\Storage\Adapter\Filesystem.php:232
Stack trace:
#0 C:\inetpub\wwwroot\vendor\zendframework\zend-cache\src\Storage\Adapter\Filesystem.php(232): GlobIterator->__construct('C:\\inetpub\\wwwr...', 4128)
#1 C:\inetpub\wwwroot\vendor\zendframework\zend-cache\src\Psr\SimpleCache\SimpleCacheDecorator.php(155): Zend\Cache\Storage\Adapter\Filesystem->clearByNamespace('glpi_cache_tran...')
#2 C:\inetpub\wwwroot\inc\cache\simplecache.class.php(111): Zend\Cache\Psr\SimpleCache\SimpleCacheDecorator->clear()
#3 C:\inetpub\wwwroot\inc\plugin.class.php(514): Glpi\Cache\SimpleCache->clear()
#4 C:\inetpub\wwwroot\front\plugin.form.php(47): Plugin->install in C:\inetpub\wwwroot\vendor\zendframework\zend-cache\src\Storage\Adapter\Filesystem.php on line 232

En cherchant sur internet j'ai trouvé que ça pouvait venir des droits sur un fichier mais lequel ?

J'utilise GLPI version 9.4.2, ma version de PHP est 7.3.4 et tout ça est hébergé sur Windows server 2016 et IIS.

Merci d'avance pour votre aide,
Gabin.

Offline

#2 2019-05-20 12:26:44

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 15,096

Re: Fatal error PHP à l'installation des plugins

Quel plugin essayez-vous d'installer ?
L'erreur se produit juste après l'instazllation du plugin dans le menu Configuration > Plugins ?


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

#3 2019-05-22 12:38:34

Owbbit
Member
Registered: 2019-05-10
Posts: 2

Re: Fatal error PHP à l'installation des plugins

Merci d'essayer de m'aider.

J'essaye d'installer "FusionInventory" et "Form Creator", j'ai l'erreur avec ces deux plugins (je n'en ai pas essayé d'autre).
L'erreur se produit dès que je clique sur le bouton "Installer".

Offline

#4 2019-05-22 14:57:12

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 15,096

Re: Fatal error PHP à l'installation des plugins

1. vérifier que tout le dossier glpi/files ait bien Apache en propriétaire (à première vue le dossier glpi/files/_cache ne semble pas pouvoir s'ouvrir)
2. Essayez de rédemarrer apache cela va vider le cache qui semble être la cause du problème


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

#5 2019-06-17 11:59:53

xicss
Member
Registered: 2019-06-17
Posts: 1

Re: Fatal error PHP à l'installation des plugins

Bonjour, j'ai eu le même problème. Pour le résoudre j'ai cherché sur le net. Je ne comprend pas la ligne de commande qu'il faut changer mais avec cette modification, l'installation de FusionInventory a marché.
Il faut modifier C:\Glpi\glpi\vendor\zendframework\zend-cache\src\Storage\Adapter\Filesytem.php
Modifier la ligne : $glob = new GlobIterator ($ path , $ flags);
par: $glob = glob ($ path);

Last edited by xicss (2019-07-11 09:26:49)

Offline

Board footer

Powered by FluxBB